/*
 * TextAreaUpdator.java
 *
 * Created on December 12, 2002, 3:04 PM
 */

package bfv.util;

import javax.swing.*;
import java.io.PrintStream;

/**
 *
 * @author  alistairdickie
 */
public class TextAreaOutputStream extends PrintStream {
    private JTextArea textArea;

    public TextAreaOutputStream(JTextArea textArea) {
        super(new NullOutputStream());
        this.textArea = textArea;
    }

    public void println(String str){
        textArea.append(str + "\n");
        textArea.setCaretPosition(textArea.getDocument().getLength());
        textArea.repaint();
    }

    public void println(){
        textArea.append("\n");
        textArea.setCaretPosition(textArea.getDocument().getLength());
        textArea.repaint();
    }


}
