/*
 BlueFlyVario flight instrument - http://www.alistairdickie.com/blueflyvario/
 Copyright (C) 2011-2012 Alistair Dickie

 BlueFlyVario is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 BlueFlyVario is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with BlueFlyVario.  If not, see <http://www.gnu.org/licenses/>.
 */

package test;




public class AlphaBetaFilteredVario extends Vario{


    private double alpha = 0.05;
    private double beta = 0.005;

    private double var;
    private AlphaBetaFilter alphaBetaFilter;

    public AlphaBetaFilteredVario() {
        alphaBetaFilter = new AlphaBetaFilter();
    }

    public double addData(double timeDelta, double alt) {

        alphaBetaFilter.update(alt, alpha, beta, timeDelta);
        var = alphaBetaFilter.getXVel();

        return var;


    }

    public double getVar() {
        return var;
    }

    public double getAlpha() {
        return alpha;
    }

    public void setAlpha(double alpha) {
        this.alpha = alpha;
    }

    public double getBeta() {
        return beta;
    }

    public void setBeta(double beta) {
        this.beta = beta;
    }

    public double getAltitude(){
        return alphaBetaFilter.getXAbs();
    }
}



