package test;

import jssc.*;

/**
 * Created with IntelliJ IDEA.
 * User: Alistair
 * Date: 27/06/13
 * Time: 7:51 PM
 * To change this template use File | Settings | File Templates.
 */
public class SerialTest {
    static SerialPort serialPort;

        public static void main(String[] args) {
            serialPort = new SerialPort("COM8");
            try {
                serialPort.openPort();//Open port
                serialPort.setParams(57600, 8, 1, 0);//Set params
                int mask = SerialPort.MASK_RXCHAR;//Prepare mask
                serialPort.setEventsMask(mask);//Set mask
                serialPort.addEventListener(new SerialPortReader());//Add SerialPortEventListener
            }
            catch (SerialPortException ex) {
                System.out.println(ex);
            }
        }


        static class SerialPortReader implements SerialPortEventListener {

            public void serialEvent(SerialPortEvent event) {
                if(event.isRXCHAR()){//If data is available
                    if(event.getEventValue() == 10){//Check bytes count in the input buffer
                        //Read data, if 10 bytes available
                        try {
                            byte buffer[] = serialPort.readBytes(10);
                            for (int i = 0; i < buffer.length; i++) {
                                char c = (char) buffer[i];
                                System.out.print(c);

                            }

                        }
                        catch (SerialPortException ex) {
                            System.out.println(ex);
                        }
                    }
                }

            }

        }
}
